Subject: Re: [PATCH net-next 00/22 v2] Lightweight & flow based encapsulation

From: roopa <[email-masked]>
Date: Wed, 22 Jul 2015 08:43:58 -0700

On 7/22/15, 1:58 AM, [email-masked] wrote:
> Hi Thomas,
>
> This looks promising.
>
> One question: will this approach allow MPLS-in-GRE and MPLS-in-UDP ?
>
The current series was focused on IP to MPLS tunnels. But, the 
infrastructure allows associating encap state with routes and calling 
the respective encapsulation output handlers.

For MPLS-in-GRE and MPLS-in-UDP, it appears that MPLS LSP routes 
(af_mpls.c) could support associating GRE and UDP encap info (RTA_ENCAP 
and RTA_ENCAP_TYPE) similar to IP routes and the re-direction from MPLS 
to GRE or MPLS to UDP can be achieved in a similar way using the same 
infrastructure.

Thanks,
Roopa

_______________________________________________
dev mailing list
[email-masked]
http://openvswitch.org/mailman/listinfo/dev